%define upstream_name    Sys-CPU
%define upstream_version 0.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Access CPU info. number, etc on Win and UNIX
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz
# Support cpu_type on ARM and AArch64, bug #1093266, CPAN RT#95400
Patch0:         Sys-CPU-0.61-Add-support-for-cpu_type-on-ARM-and-AArch64-Linux-pl.patch
# Accept undefined cpu_clock on ARM and AArch64, bug #1093266, CPAN RT#95400
Patch1:         Sys-CPU-0.61-cpu_clock-can-be-undefined-on-an-ARM.patch

BuildRequires: perl(ExtUtils::MakeMaker)

%{?perl_default_filter}
BuildRequires: perl-devel
%description
In responce to a post on perlmonks.org, a module for counting the number of
CPU's on a system. Support has now also been added for type of CPU and
clock speed. While much of the code is from UNIX::Processors, win32 support
has been added (but not tested).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 16 2016 tv <tv> 0.610.0-9.mga6
+ Revision: 1021659
- add build fixes for armv7 from FC

* Thu Feb 18 2016 umeabot <umeabot> 0.610.0-8.mga6
+ Revision: 966466
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.610.0-7.mga6
+ Revision: 845298
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.610.0-6.mga6
+ Revision: 841551
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.610.0-5.mga5
+ Revision: 747466
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.610.0-4.mga5
+ Revision: 733451
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.610.0-3.mga5
+ Revision: 686281
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.610.0-2.mga5
+ Revision: 631708
- Rebuild for perl 5.20

* Tue Feb 04 2014 shlomif <shlomif> 0.610.0-1.mga5
+ Revision: 581330
- update to 0.61

* Sat Oct 19 2013 umeabot <umeabot> 0.540.0-4.mga4
+ Revision: 524459
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.540.0-3.mga4
+ Revision: 430963
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.540.0-2.mga3
+ Revision: 372922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.540.0-1.mga3
+ Revision: 317735
- update to 0.54

* Fri Nov 09 2012 shlomif <shlomif> 0.530.0-1.mga3
+ Revision: 316772
- update to 0.53

* Wed May 30 2012 jquelin <jquelin> 0.520.0-3.mga3
+ Revision: 251159
- rebuild for perl 5.16

* Tue Nov 15 2011 kharec <kharec> 0.520.0-2.mga2
+ Revision: 167915
- fix %%description, thanks tv

* Mon Nov 14 2011 kharec <kharec> 0.520.0-1.mga2
+ Revision: 167815
- imported package perl-Sys-CPU

